Opening of Hong Kong Palace Museum a milestone in the Jockey Club’s support for the HKSAR in the past 25 years
[Sponsored Article]
The construction of the Hong Kong Palace Museum (HKPM) was funded by a HK$3.5 billion donation from The Hong Kong Jockey Club Charities Trust – the Club’s largest single charity donation to date. The museum will open to the public on 2 July as a highlight of the 25th anniversary of the establishmen … ⌘ Read more
Russia pounds eastern Ukraine as it marks date of Hitler’s invasion
Russia is seeking to seize a vast swathe of eastern Ukraine, the scene of some of the bloodiest fighting in Europe since World War II. ⌘ Read more
Coronavirus: Hong Kong tour group heads to Japan for the first time in more than 2 years after Tokyo eases Covid rules
Ten travellers join seven-day trip organised by EGL Tours, which had previously pushed back the departure date from June 11 to June 15 and then to Wednesday. ⌘ Read more
Prosodical Thoughts: Modernizing XMPP authentication and authorization
We’re excited to announce that we have received funding, from the EU’s
NGI Assure via the NLnet Foundation, to work on
some important enhancements to Prosody and XMPP. Our work will be focusing on
XMPP authentication and authorization, and bringing it up to date with current
and emerging best practices.
What kind of changes are we talking about? Well, there are a few aspects we
are planning to work on. Let’s start with “authent … ⌘ Read more
……………Tetlock data uses AMERICAN DATE FORMAT IN A DATASET
Goofs
⌘ Read more
Goofs
⌘ Read more
Remembering MUD1 - The first multiplayer role playing game on the Internet
The roots of all online RPGs date back to 1978… and a PDP-10 computer. ⌘ Read more
Microsoft Word… for UNIX? Yes. It’s real.
And it all dates back to… Microsoft Xenix. ⌘ Read more
third, let’s look at daygame. if you ask someone out in a social circle/hobby group, that leaves residual social cruft lying around: awkwardness & mutual avoidance. the whole thing is not Done the way it is when you get cleanly rejected on the street. (online dating has a similar quality of Doneness to it, I think, but matches might stack up and old leads might spring to life sometime, but that’s the same with DG).
#!/bin/sh
# Validate environment
if ! command -v msgbus > /dev/null; then
printf "missing msgbus command. Use: go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
exit 1
fi
if ! command -v salty > /dev/null; then
printf "missing salty command. Use: go install go.mills.io/salty/cmd/salty@latest"
exit 1
fi
if ! command -v salty-keygen > /dev/null; then
printf "missing salty-keygen command. Use: go install go.mills.io/salty/cmd/salty-keygen@latest"
exit 1
fi
if [ -z "$SALTY_IDENTITY" ]; then
export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi
get_user () {
user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
if [ -z "$user" ]; then
user="$USER"
fi
echo "$user"
}
stream () {
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}
lookup () {
if [ $# -lt 1 ]; then
printf "Usage: %s nick@domain\n" "$(basename "$0")"
exit 1
fi
user="$1"
nick="$(echo "$user" | awk -F@ '{ print $1 }')"
domain="$(echo "$user" | awk -F@ '{ print $2 }')"
curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}
readmsgs () {
topic="$1"
if [ -z "$topic" ]; then
topic=$(get_user)
fi
export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
if [ ! -f "$SALTY_IDENTITY" ]; then
echo "identity file missing for user $topic" >&2
exit 1
fi
msgbus sub "$topic" "$0"
}
sendmsg () {
if [ $# -lt 2 ]; then
printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
exit 0
fi
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
user="$1"
message="$2"
salty_json="$(mktemp /tmp/salty.XXXXXX)"
lookup "$user" > "$salty_json"
endpoint="$(jq -r '.endpoint' < "$salty_json")"
topic="$(jq -r '.topic' < "$salty_json")"
key="$(jq -r '.key' < "$salty_json")"
rm "$salty_json"
message="[$(date +%FT%TZ)] <$(get_user)> $message"
echo "$message" \
| salty -i "$SALTY_IDENTITY" -r "$key" \
| msgbus -u "$endpoint" pub "$topic"
}
make_user () {
mkdir -p "$HOME/.config/salty"
if [ $# -lt 1 ]; then
user=$USER
else
user=$1
fi
identity_file="$HOME/.config/salty/$user.key"
if [ -f "$identity_file" ]; then
printf "user key exists!"
exit 1
fi
# Check for msgbus env.. probably can make it fallback to looking for a config file?
if [ -z "$MSGBUS_URI" ]; then
printf "missing MSGBUS_URI in environment"
exit 1
fi
salty-keygen -o "$identity_file"
echo "# user: $user" >> "$identity_file"
pubkey=$(grep key: "$identity_file" | awk '{print $4}')
cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json
{
"endpoint": "$MSGBUS_URI",
"topic": "$user",
"key": "$pubkey"
}
EOF
}
# check if streaming
if [ ! -t 1 ]; then
stream
exit 0
fi
# Show Help
if [ $# -lt 1 ]; then
printf "Commands: send read lookup"
exit 0
fi
CMD=$1
shift
case $CMD in
send)
sendmsg "$@"
;;
read)
readmsgs "$@"
;;
lookup)
lookup "$@"
;;
make-user)
make_user "$@"
;;
esac
This box is almost a dating profile. https://omg.singles/rQ1qF
to do: go nuclear on a date and explain that im just performing an act, that i studied this in detail and trained myself to do it, that this is a deliberate effort to escape my patheticness
Given that we don’t have a “home phone”, what’s the best way to create a “hunt group” for my partner’s and my cell phones? My first thought is Asterisk on a VPS, but my knowledge of such things is years out of date. Is there a better way?
One year ago to the date I made the lastest update for #phpub2twtxt to github and now 365 days later I have published #pixelblog as its successor - lets see where things are going for trip around the sun
My blog(s) just got a new feature: A link to the current day archive (🇩🇪). There it is possible to see posts on today’s date in earlier years. Even more features are linked on my More (🇩🇪) page, by the way. ⌘ Read more
Save the Date: Next Community All Hands on December 9th
We’re one month away from our next Community All Hands event, on December 9th at 8am PST/5pm CET. This is a unique opportunity for Docker staff, Captains, and the broader Docker community to come together for live company updates, product updates, demos, community shout-outs and Q&A. The last all-hands gathered more than 2,000 attendees from […]
The post [Save the Date: Next Community All Hands on December 9th](https:/ … ⌘ Read more
@prologic@twtxt.net Lol my build should be up to date now
@movq@www.uninformativ.de What do you think about this?
diff –git a/jenny b/jenny
index b47c78e..20cf659 100755
— a/jenny
+++ b/jenny
@@ -278,7 +278,8 @@ def prefill_for(email, reply_to_this, self_mentions):
def process_feed(config, nick, url, content, lasttwt):
nick_address, nick_desc = decide_nick(content, nick)
url_for_hash = decide_url_for_hash(content, url)
new_lasttwt = parse(‘1800-01-01T12:00:00+00:00’).timestamp()
# new_lasttwt = parse(‘1800-01-01T12:00:00+00:00’).timestamp()
new_lasttwt = None
for line in twt_lines_from_content(content):
res = twt_line_to_mail(@@ -296,7 +297,7 @@ def process_feed(config, nick, url, content, lasttwt):
twt_stamp = twt_date.timestamp() if lasttwt is not None and lasttwt >= twt_stamp: continueif twt_stamp > new_lasttwt:
if not new_lasttwt or twt_stamp > new_lasttwt:
new_lasttwt = twt_stamp mailname_new = join(config['maildir_target'], 'new', twt_hash)
@quark@ferengi.one No client, those were created using date -Is and emacs. Off course all is UTF-8 encoded, but now Apache also announces content-type: text/plain; charset=utf-8
💾 Save the date for GitHub Game Off 2021
Game Off is an annual game jam (or “hackathon for building games”) that’s a little different from most—it lasts for the entire month of November—not just a weekend or a few days. It’s the perfect ⌘ Read more
@movq@www.uninformativ.de Perfect! Setting the display_filter did the trick. I have come across that SE yesterday while looking for answers, but I wanted to make sure there was nothing else I was missing to notice. Thanks! @quark@twtxt.netbros.com (#spngeda) Hmm, that’s mostly an issue of how mutt displays the Date header. The index should already display local time, only the pager shows the raw header:
To be honest, I’d like to keep it that way (i.e., Date stores the original stamp as it occured in the twtxt feed). To convince mutt to show local time here, you’d probably have to use display_filter: https://unix.stackexchange.com/a/516101
SAVE THE DATE : Next Community All Hands on September 16th ! ⌘ Read more…
a date with a human model
https://www.tutorialspoint.com/How-to-sort-a-Python-date-string-list datetime python sort
https://github.com/jarun/pdd date datetime dateutil time
https://github.com/alexherbo2/chronic chronic cli date time
Save the Date! Next Docker Community All Hands ⌘ Read more…
to date, 138 pages in my wiki. wowee :)
@prologic@twtxt.net yeah it reads a seed file. I’m using mine. it scans for any mention links and then scans them recursively. it reads from http/s or gopher. i don’t have much of a db yet.. it just writes to disk the feed and checks modified dates.. but I will add a db that has hashs/mentions/subjects and such.
Save the Date for DockerCon Live 2021! ⌘ Read more…
Would online dating without images lead to deeper, more human connections? I.e. only descriptions of people. If yes, is it different because of molochian reasons? More beautiful people have no problem showing their faces, so not showing ones face is seen as a low-status signal at some point. Counter: The idea of deeper, more human connections is in itself flawed, most mating choices are the result of a combination of class/status signals and physical attractiveness anyway.
aside from the date thing, the scp feature seems to be lacking the location of the file, or i don’t know where to specify it
and then ignore it “notmuch search not tag:unsubscribe and date:yesterday..”
Largest COVID-19 contact tracing study to date finds children key to spread, evidence of superspreaders ⌘ https://www.princeton.edu/news/2020/09/30/largest-covid-19-contact-tracing-study-date-finds-children-key-spread-evidence
Synonym Date ⌘ https://xkcd.com/2352/
updated the print style of the feed. date + message are no longer on separate lines.
Posted to Entropy Arbitrage: Small-D date Night https://john.colagioia.net/blog/2020/03/18/date.html #techtips #programming #shell #date #gnu #linux #calendar
Do I need to configure txtnish to output the same date format as twtxt? May need to #RTFM
Do I need to configure txtnish to output the same date format as twtxt? May need to #RTFM
Thanks @freemor@freemor.homelinux.net ! I’ll keep you up to date :)
dates this year look prettier than dates from last year
Even though noone send me GPG encrypted messages, I renewed my expiration date to one more year :)
I made a mistake copying the dates and borked the timestamps again :facepalm:
People whose dating profile consists entirely of their nationality are incomprehensible to me, but not quite as incomprehensible as the ones that are blank or have some useless placeholder like ‘ask’. The point of a dating site is that you get to see compatibility before starting a convo, y’know
The sample they chose to highlight here resembles the kind of paper a 14 year old would try & fail to bullshit after staying up all night partying right before the due date: https://blog.openai.com/better-language-models/#sample1
Check If a Date/Time Has Been Set with IsZero ⌘ Read more…
it did! i guess. the date format is different though
Folklore.org: Desk Ornaments http://www.folklore.org/StoryView.py?project=Macintosh&story=Desk_Ornaments.txt&sortOrder=Sort+by+Date&topic=Software+Design